Package org.springframework.beans.factory.aot

# Class AotServices.Loader

java.lang.Object
org.springframework.beans.factory.aot.AotServices.Loader

Enclosing class:
  AotServices<T>

public static class AotServices.Loader extends Object
Loader class used to actually load the services.

## Method Summary

Modifier and Type
Method
Description
`<T> AotServices<T>`
`load(Class<T> type)`
Load all AOT services of the given type.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### load

public <T> AotServices<T> load(Class<T> type)
Load all AOT services of the given type.

Type Parameters:
  `T` - the service type
Parameters:
  `type` - the service type
Returns:
  a new `AotServices` instance